The Signing Webhook object
Attributes
Unique identifier for the object.
ISO 8601 timestamp of when the object was created.
ISO 8601 timestamp of when the object was last updated.
Default: true
Default: *
Default: 3
{
"id": "signing-webhook_abc123",
"created_at": "2024-01-15T09: 30: 00Z",
"updated_at": "2024-01-15T09: 30: 00Z",
"label": "label_example",
"url": "url_example",
"secret": "secret_example",
"enabled": true,
"events": "*",
"max_retries": 3,
"last_delivered_at": "2024-01-15",
"last_error": "last_error_example"
} /api/signing/signing-webhook/{id} Retrieve a signing webhook
Retrieves the details of an existing signing webhook. Supply the unique signing webhook ID that was returned from a previous request.
Path parameters
The identifier of the signing webhook to retrieve.
Returns
Returns the signing webhook object if a valid identifier was provided.
curl https://api.overplane.dev/api/signing/signing-webhook/signing-webhook_abc123 \
-H "Authorization: Bearer sk_test_..." {
"id": "signing-webhook_abc123",
"created_at": "2024-01-15T09: 30: 00Z",
"updated_at": "2024-01-15T09: 30: 00Z",
"label": "label_example",
"url": "url_example",
"secret": "secret_example",
"enabled": true,
"events": "*",
"max_retries": 3,
"last_delivered_at": "2024-01-15",
"last_error": "last_error_example"
} /api/signing/signing-webhook List all signing webhooks
Returns a list of signing webhooks. The results are sorted by creation date, with the most recently created appearing first.
Query parameters
Maximum number of objects to return. Default: 20.
Number of objects to skip for pagination. Default: 0.
Returns
A paginated list of signing webhook objects.
curl https://api.overplane.dev/api/signing/signing-webhook \
-H "Authorization: Bearer sk_test_..." {
"data": [
{
"id": "signing-webhook_abc123",
"created_at": "2024-01-15T09: 30: 00Z",
"updated_at": "2024-01-15T09: 30: 00Z",
"label": "label_example",
"url": "url_example",
"secret": "secret_example",
"enabled": true,
"events": "*",
"max_retries": 3,
"last_delivered_at": "2024-01-15",
"last_error": "last_error_example"
}
],
"has_more": false,
"total": 1
} /api/signing/signing-webhook Create a signing webhook
Creates a new signing webhook object.
Body parameters
Default: true
Default: *
Default: 3
Returns
Returns the newly created signing webhook object if the call succeeded.
curl https://api.overplane.dev/api/signing/signing-webhook \
-H "Authorization: Bearer sk_test_..." \
-X POST \
-H "Content-Type: application/json" \
-d '{"label":"label_example","url":"url_example","secret":"secret_example"}' {
"id": "signing-webhook_abc123",
"created_at": "2024-01-15T09: 30: 00Z",
"updated_at": "2024-01-15T09: 30: 00Z",
"label": "label_example",
"url": "url_example",
"secret": "secret_example",
"enabled": true,
"events": "*",
"max_retries": 3,
"last_delivered_at": "2024-01-15",
"last_error": "last_error_example"
} /api/signing/signing-webhook/{id} Update a signing webhook
Updates the specified signing webhook by setting the values of the parameters passed. Any parameters not provided will be left unchanged.
Path parameters
The identifier of the signing webhook to update.
Body parameters
Default: true
Default: *
Default: 3
Returns
Returns the updated signing webhook object.
curl https://api.overplane.dev/api/signing/signing-webhook/signing-webhook_abc123 \
-H "Authorization: Bearer sk_test_..." \
-X PATCH \
-H "Content-Type: application/json" \
-d '{"label":"label_example","url":"url_example"}' {
"id": "signing-webhook_abc123",
"created_at": "2024-01-15T09: 30: 00Z",
"updated_at": "2024-01-15T09: 30: 00Z",
"label": "label_example",
"url": "url_example",
"secret": "secret_example",
"enabled": true,
"events": "*",
"max_retries": 3,
"last_delivered_at": "2024-01-15",
"last_error": "last_error_example"
} /api/signing/signing-webhook/{id} Delete a signing webhook
Permanently deletes a signing webhook. This cannot be undone.
Path parameters
The identifier of the signing webhook to delete.
Returns
Returns a confirmation that the signing webhook has been deleted.
curl https://api.overplane.dev/api/signing/signing-webhook/signing-webhook_abc123 \
-H "Authorization: Bearer sk_test_..." \
-X DELETE {
"id": "signing-webhook_abc123",
"deleted": true
}